Get Disposition Group
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/dispositions/groups/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/dispositions/groups/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/dispositions/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "BQhJQMcijOPZEVhXgova",
"name": "Call Back",
"description": "Call customer again if given dispositions are found",
"dispositions": [
"qmJFQyVugpOAPjREQeEF",
"sorlyJWVWKvqzfPFFeuT"
],
"dispositionDetails": [
{
"id": "qmJFQyVugpOAPjREQeEF",
"name": "No Answer",
"description": "Customer did not pick up",
"priority": 100
},
{
"id": "sorlyJWVWKvqzfPFFeuT",
"name": "Busy",
"description": "Line was busy",
"priority": 110
}
],
"createdAt": "2024-11-19T12:32:10",
"updatedAt": "2024-11-19T12:32:10"
}
}
{
"success": false,
"message": "Access denied"
}
{
"success": false,
"message": "Disposition group not found"
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Dispositions Group
Get Disposition Group
Retrieve a specific disposition group by ID
Get Disposition Group
Overview
Retrieve detailed information about a specific disposition group using its unique ID.Headers
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).Path Parameters
string
required
The unique identifier of the disposition group
Query Parameters
boolean
default:"false"
If
true, includes full disposition detailsResponse
boolean
Indicates if the request was successful
object
{
"success": true,
"data": {
"id": "BQhJQMcijOPZEVhXgova",
"name": "Call Back",
"description": "Call customer again if given dispositions are found",
"dispositions": [
"qmJFQyVugpOAPjREQeEF",
"sorlyJWVWKvqzfPFFeuT"
],
"dispositionDetails": [
{
"id": "qmJFQyVugpOAPjREQeEF",
"name": "No Answer",
"description": "Customer did not pick up",
"priority": 100
},
{
"id": "sorlyJWVWKvqzfPFFeuT",
"name": "Busy",
"description": "Line was busy",
"priority": 110
}
],
"createdAt": "2024-11-19T12:32:10",
"updatedAt": "2024-11-19T12:32:10"
}
}
{
"success": false,
"message": "Access denied"
}
{
"success": false,
"message": "Disposition group not found"
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Error Codes
| Status | Description |
|---|---|
401 | Unauthorized - Invalid or missing API key |
403 | Forbidden - Missing required permissions |
404 | Disposition group with the specified ID was not found |
500 | Internal server error |

